Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface ICommonBaseEventAnyElement

All Known Implementing Classes:
  CommonBaseEventAnyElementImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface ICommonBaseEventAnyElement

Version:
  1.0
Author:
  Jason Cornpropst This is a generic interface that is used to store the any elements that may be associated with a common base event. This will allow the event to store the any element and not throw it away if the event factory does not have a specific implementation for the any element.

Method Summary
`java.lang.String` | `getElementName()` Deprecated. Method to retrieve the name of the element
`java.lang.String` | `getNameSpace()` Deprecated. This method returns the URI that points to the schema that this any element implements
`java.lang.String` | `getNameSpaceIdentifier()` Deprecated. Method to retrieve the identifier used for the name space
`java.lang.String` | `getXmlAnyElement()` Deprecated. Method to return the any element in XML format This method should return the full element including name space declaration
`void` | `setXmlAnyElement(java.lang.String anyElement)` Deprecated. Method to set the XML any element

Method Detail

### getNameSpace

    public java.lang.String getNameSpace()

  Deprecated.
  This method returns the URI that points to the schema that this any element implements

  Returns:
    String

### getNameSpaceIdentifier

    public java.lang.String getNameSpaceIdentifier()

  Deprecated.
  Method to retrieve the identifier used for the name space

  Returns:
    String

### getElementName

    public java.lang.String getElementName()

  Deprecated.
  Method to retrieve the name of the element

  Returns:
    String

### getXmlAnyElement

    public java.lang.String getXmlAnyElement()

  Deprecated.
  Method to return the any element in XML format This method should return the full element including name space declaration

  Returns:
    String

### setXmlAnyElement

    public void setXmlAnyElement(java.lang.String anyElement)
                          throws InvalidXMLAnyElementException

  Deprecated.
  Method to set the XML any element

  Throws:
    `InvalidXMLAnyElementException` - If an inavlid element is passed in.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD